Get the caller's own FCM
curl --request GET \
--url https://api.example.com/api/fcms/{id}import requests
url = "https://api.example.com/api/fcms/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/fcms/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/fcms/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/fcms/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/fcms/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/fcms/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"updated_at": 1795651200123456800,
"id": "198471892341",
"name": "Acme Clearing",
"code": "ACM",
"status": "ACTIVE"
}{
"error": "INVALID_FIELD",
"message": "side must be one of: BUY, SELL, BUY_NO, SELL_NO"
}{
"error": {
"code": "INVALID_PARAMETER",
"message": "cursor is invalid or belongs to another resource type",
"field": "cursor"
}
}Account
Get the caller's own FCM
Returns your own FCM. Requires an FCM-level API key.
GET
/
api
/
fcms
/
{id}
Get the caller's own FCM
curl --request GET \
--url https://api.example.com/api/fcms/{id}import requests
url = "https://api.example.com/api/fcms/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/fcms/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/fcms/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/fcms/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/fcms/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/fcms/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"updated_at": 1795651200123456800,
"id": "198471892341",
"name": "Acme Clearing",
"code": "ACM",
"status": "ACTIVE"
}{
"error": "INVALID_FIELD",
"message": "side must be one of: BUY, SELL, BUY_NO, SELL_NO"
}{
"error": {
"code": "INVALID_PARAMETER",
"message": "cursor is invalid or belongs to another resource type",
"field": "cursor"
}
}Path Parameters
FCM ID, as a decimal string. Must be your own FCM; any other ID, or a FIRM-level key, returns 403.
Response
FCM
Time of the FCM's last update, in nanoseconds since the Unix epoch.
Example:
1795651200123456800
FCM id, as a canonical decimal string.
Example:
"198471892341"
FCM name.
Example:
"Acme Clearing"
Three-character FCM code.
Example:
"ACM"
FCM status, for example ACTIVE or DISABLED.
Example:
"ACTIVE"
Was this page helpful?